%define upstream_name    Test-Kwalitee
%define upstream_version 1.28

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Test the Kwalitee of a distribution before you release it
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Check) >= 0.11.0
BuildRequires: perl(CPAN::Meta::Requirements)
BuildRequires: perl(Cwd)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::CPANTS::Analyse) >= 0.920.0
BuildRequires: perl(Test::Builder) >= 0.880.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Tester) >= 0.108.0
BuildRequires: perl(Test::Warnings) >= 0.9.0
BuildRequires: perl(if)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description 
Kwalitee is an automatically-measurable gauge of how good your software is.
That's very different from quality, which a computer really can't measure in a
general sense. (If you can, you've solved a hard problem in computer science.)

In the world of the CPAN, the CPANTS project (CPAN Testing Service; also a
funny acronym on its own) measures Kwalitee with several metrics. If you plan
to release a distribution to the CPAN -- or even within your own organization
-- testing its Kwalitee before creating a release can help you improve your
quality as well.

Test::Kwalitee and a short test file will do this for you automatically.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%check
make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/kwalitee-metrics
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.280.0-4.mga10
+ Revision: 2205331
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.280.0-3.mga9
+ Revision: 1811298
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.280.0-2.mga8
+ Revision: 1522618
- Mageia 8 Mass Rebuild

* Sun Feb 03 2019 tv <tv> 1.280.0-1.mga7
+ Revision: 1362848
- update to 1.28

* Thu Sep 20 2018 umeabot <umeabot> 1.270.0-2.mga7
+ Revision: 1286666
- Mageia 7 Mass Rebuild

* Tue Nov 07 2017 tv <tv> 1.270.0-1.mga7
+ Revision: 1176389
- BR perl(Module::Pluggable)
- update to 1.27

* Tue Oct 03 2017 tv <tv> 1.260.0-2.mga7
+ Revision: 1166791
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 1.260.0-1.mga7
+ Revision: 1154140
- new release

* Sun Jun 19 2016 pterjan <pterjan> 1.220.0-6.mga6
+ Revision: 1034305
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 1.220.0-5.mga6
+ Revision: 971637
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 tv <tv> 1.220.0-4.mga6
+ Revision: 892171
- BR perl(Test::Deep)

* Wed Oct 15 2014 umeabot <umeabot> 1.220.0-3.mga5
+ Revision: 747889
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 1.220.0-1.mga5
+ Revision: 664246
- update to 1.22

* Mon Jul 21 2014 sander85 <sander85> 1.190.0-1.mga5
+ Revision: 655064
- update to 1.19

* Mon Feb 10 2014 sander85 <sander85> 1.180.0-1.mga5
+ Revision: 588984
- update to 1.18

* Thu Dec 19 2013 sander85 <sander85> 1.150.0-3.mga4
+ Revision: 558797
- Fix BRs
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 1.150.0-1.mga4
+ Revision: 487319
- update to 1.15

* Sat Sep 07 2013 sander85 <sander85> 1.140.0-1.mga4
+ Revision: 475587
- update to 1.14

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-3.mga3
+ Revision: 373569
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- rebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 37714
- mageia rebuild
- imported package perl-Test-Kwalitee


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.10.0-1mdv2010.0
+ Revision: 405552
- rebuild using %%perl_convert_version

* Fri Aug 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2009.0
+ Revision: 272270
- update to new version 1.01

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.30-2mdv2008.1
+ Revision: 133821
- kill re-definition of %%buildroot on Pixel's request


* Thu Nov 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.30-1mdv2007.0
+ Revision: 88921
- Import perl-Test-Kwalitee

* Sat Nov 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.30-1mdv2007.1
- first mdv release

